API keysList keys

List keys

List keys for the tenant (no plaintext).

curl -X GET "https://api.autopil.ai/v1/keys" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
[
  {
    "key_id": "example_string",
    "name": "John Doe",
    "scope": "admin",
    "bound_agent_id": "example_string",
    "permitted_roles": [
      "example_string"
    ],
    "expires_at": "2024-12-25T10:00:00Z",
    "created_at": "2024-12-25T10:00:00Z"
  }
]
GET
/v1/keys
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key with admin, read, or evaluate scope. Missing key → 401; invalid or revoked key → 403.

API key with admin, read, or evaluate scope. Missing key → 401; invalid or revoked key → 403.
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. API key with admin, read, or evaluate scope. Missing key → 401; invalid or revoked key → 403.

Responses

key_idstring
namestring
scopestring
Allowed values:adminreadevaluate
bound_agent_idstring
permitted_rolesstring[]
expires_atstring
created_atstring